png::detail::convert_color_space_impl< pixel > Struct Template Reference

IO transformation class template. Converts image color space. More...

`#include <convert_color_space.hpp>`

## Public Types

typedef pixel_traits< pixel > | traits
typedef traits::component_type | component_type
typedef basic_alpha_pixel_traits< component_type > | alpha_traits

## Public Member Functions

template<class reader >
void | operator() (reader &io) const

## Static Protected Member Functions

static void | expand_8_to_16 (png_struct *, png_row_info *row_info, byte *row)
static void | dump_row (byte const *row, uint_32 width)
template<class reader >
static void | handle_16 (reader &io)
template<class reader >
static void | handle_alpha (reader &io, uint_32 filler)
template<class reader >
static void | handle_palette (reader &io)
template<class reader >
static void | handle_rgb (reader &io)
template<class reader >
static void | handle_gray (reader &io)

## Detailed Description

### template<typename pixel>
struct png::detail::convert_color_space_impl< pixel >

IO transformation class template. Converts image color space.

## Member Typedef Documentation

template<typename pixel>

typedef pixel_traits< pixel > png::detail::convert_color_space_impl< pixel >::traits

template<typename pixel>

typedef traits::component_type png::detail::convert_color_space_impl< pixel >::component_type

template<typename pixel>

typedef basic_alpha_pixel_traits< component_type > png::detail::convert_color_space_impl< pixel >::alpha_traits

## Member Function Documentation

template<typename pixel>
template<class reader >

void png::detail::convert_color_space_impl< pixel >::operator() | ( | reader & | io | ) | const

inline

template<typename pixel>

static void png::detail::convert_color_space_impl< pixel >::expand_8_to_16 | ( | png_struct * | ,
|  | png_row_info * | row_info,
|  | byte * | row
| ) |  |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::handle_16().

template<typename pixel>

static void png::detail::convert_color_space_impl< pixel >::dump_row | ( | byte const * | row,
|  | uint_32 | width
| ) |  |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::expand_8_to_16().

template<typename pixel>
template<class reader >

static void png::detail::convert_color_space_impl< pixel >::handle_16 | ( | reader & | io | ) |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::operator()().

template<typename pixel>
template<class reader >

static void png::detail::convert_color_space_impl< pixel >::handle_alpha | ( | reader & | io,
|  | uint_32 | filler
| ) |  |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::operator()().

template<typename pixel>
template<class reader >

static void png::detail::convert_color_space_impl< pixel >::handle_palette | ( | reader & | io | ) |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::operator()().

template<typename pixel>
template<class reader >

static void png::detail::convert_color_space_impl< pixel >::handle_rgb | ( | reader & | io | ) |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::operator()().

template<typename pixel>
template<class reader >

static void png::detail::convert_color_space_impl< pixel >::handle_gray | ( | reader & | io | ) |

inline static protected

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::operator()().

The documentation for this struct was generated from the following file:

- convert_color_space.hpp